This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1266805 - Review Request: springframework-social - Connect your applications with SaaS providers such as Facebook and Twitter
Review Request: springframework-social - Connect your applications with SaaS ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1266806
  Show dependency treegraph
 
Reported: 2015-09-27 21:44 EDT by gil cattaneo
Modified: 2015-11-21 21:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-21 21:24:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2015-09-27 21:44:57 EDT
Spec URL: https://gil.fedorapeople.org/springframework-social.spec
SRPM URL: https://gil.fedorapeople.org/springframework-social-1.0.3-1.fc22.src.rpm
Description:
The Spring Social project allows you to integrate the
APIs exposed by Software-as-a-Service (SaaS) providers
such as Facebook and Twitter into your applications.
It consists of a service provider 'connect' framework,
sign-in support, and strongly-typed Java API bindings
Fedora Account System Username: gil
Comment 1 Tom "spot" Callaway 2015-11-10 14:51:20 EST
Good:

- rpmlint checks return nothing.
- package meets naming guidelines
- package meets packaging guidelines
- license (ASL 2.0) OK, text in %license, matches source
- spec file legible, in am. english
- source matches upstream (b219ac0fee6a3c35e8812d8ad5b13f1b700e0cf167414f54cf250fb29dc9d058)
- package compiles on f23 (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- javadoc ok
- nothing in %doc affects runtime
- no need for .desktop file 

As always, a very good package gil. Nice work.
Comment 3 Gwyn Ciesla 2015-11-11 09:15:08 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/springframework-social
Comment 4 Fedora Update System 2015-11-11 09:49:58 EST
springframework-social-1.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f3f521a103
Comment 5 Fedora Update System 2015-11-11 22:57:46 EST
springframework-social-1.0.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update springframework-social'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f3f521a103
Comment 6 Fedora Update System 2015-11-21 21:24:06 EST
springframework-social-1.0.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.